/*
 *      XCountdown - X version of the popular Channel 4 quiz show
 *
 * This software comes with NO warranty whatsoever. I therefore take no
 * responsibility for any damages, losses or problems caused through use
 * or misuse of this program.
 *
 * I hereby grant permission for this program to be freely copied and
 * distributed by any means, provided no charge is made for it.
 *
 * Matthew Chapman, csuoq@csv.warwick.ac.uk
 *    June 1995.
 */

/* init.c - global declarations */

#include "xcountdown.h"

XtAppContext app_context;
struct AppData app_data;
Widget topLevel,topl[NP],richard[NP],tclock[NP],lett[NP][NL][2];
Widget num[NP][7][4],cecil[NP],cnum[NP][6];
Widget vbutt[NP],cbutt[NP],carol[NP];
Widget input1[NP],name1[NP],score1[NP];
Widget input2[NP],name2[NP],score2[NP];

Widget tmaind[NP];
Pixmap bg_xpm[NP];
Colormap pseudo_cmap[NP];

/* for the numround popup */
Widget ptop[NP],ptitle[NP],pmain[NP];
Widget smtop[NP],smmain[NP];

Widget ctop[NP],cquit[NP],ccancel[NP];

/* dynamically set colours - these are changed to black/white if required */
char gray40[10]="gray40",steelblue[10]="steelblue";
char gray70[10]="gray70",gray90[10]="gray90";

Display *dpy[NP];

int comp=0,round=0,letts_chosen=0;
int ply_go=0;
Boolean stop_the_clock = False,in_conundrum = False,doing_nums,
    waiting_for_names = False, got_name[NP] = {False,False},
    new_game = False;

/* for the dictionary */
char dict[DICTSIZE][16];
int word_pos[15];
