/*
 *      XCountdown - X version of the popular Channel 4 quiz show
 *
 * This software comes with NO warranty whatsoever. I therefore take no
 * responsibility for any damages, losses or problems caused through use
 * or misuse of this program.
 *
 * I hereby grant permission for this program to be freely copied and
 * distributed by any means, provided no charge is made for it.
 *
 * Matthew Chapman, csuoq@csv.warwick.ac.uk
 *    June 1995.
 */
/*
 *      xutils.h - header for reuseable X functions
 */

#ifndef XUTILS_H
#define XUTILS_H

/* closeness value for ReadPixmap calls */
#define CLOSENESS 16000

#define SETBG(x) XtVaTypedArg,XtNbackground,XtRString,x,strlen((char *)x)+1

Boolean load_file_pixmap(char *fname, Pixmap *xpm,Widget top,Colormap cmap);
Boolean load_data_pixmap(char **dname, Pixmap *xpm,Widget top,Colormap cmap);
void acceptQuitPre(Widget top);
void acceptQuitPost(Widget top);
void fit_on_screen(Widget top,Position *x,Position *y, int w, int h,
	int horizB,int vertB);

void SetBusy(Widget top);
void ClearBusy(Widget top);

#endif
