/*
 *      XCountdown - X version of the popular Channel 4 quiz show
 *
 * This software comes with NO warranty whatsoever. I therefore take no
 * responsibility for any damages, losses or problems caused through use
 * or misuse of this program.
 *
 * I hereby grant permission for this program to be freely copied and
 * distributed by any means, provided no charge is made for it.
 *
 * Matthew Chapman, csuoq@csv.warwick.ac.uk
 *    June 1995.
 */

/* "about" module. */

#ifndef ABOUT_H
#define ABOUT_H
 
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Form.h>
#include <X11/Xaw/Box.h>
#include <X11/Shell.h>

#include "xutils.h"

/* you may not need this... */
#ifndef HAVE_USLEEP
extern void usleep();
#endif

extern void AboutDown();

#define ABOUTFONT "-*-lucida-bold-r-*-*-18-*"

#define ABOUT_WIDTH 456
#define ABOUT_HEIGHT 410

void ToggleAbout(int dnum, Boolean on);
void AboutPopup(int dnum);
Boolean LoadAboutXPM(int dnum);
void SetAboutXPM(Widget w,int dnum);

#endif
