/*
 *      XCountdown - X version of the popular Channel 4 quiz show
 *
 * This software comes with NO warranty whatsoever. I therefore take no
 * responsibility for any damages, losses or problems caused through use
 * or misuse of this program.
 *
 * I hereby grant permission for this program to be freely copied and
 * distributed by any means, provided no charge is made for it.
 *
 * Matthew Chapman, csuoq@csv.warwick.ac.uk
 *    June 1995.
 */

/* xcountdown.h - includes and defines */

/*#define DEBUG*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <sys/types.h>
#include <unistd.h>
#include <assert.h>

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/Label.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Form.h>
#include <X11/Xaw/Toggle.h>
#include <X11/Xaw/Text.h>
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/MenuButton.h>
#include <X11/Xaw/SimpleMenu.h>
#include <X11/Xaw/Sme.h>
#include <X11/Xaw/SmeBSB.h>
#include <X11/Xaw/SmeLine.h>
#include <X11/Xaw/Viewport.h>

#include "CircPerc.h"
#include <X11/Xc/Xc.h>
#include <X11/Xc/Lcd.h>

#include "xutils.h"

#include "../config.h"

/* you may not need this... */
#ifndef HAVE_USLEEP
extern void usleep();
#endif

#define VERSION "XCountdown v1.0"

/* number of players - must be 2 */
#define NP 2

/* number of letters */
#define NL 9


/* application data structure */
struct AppData {
        String version,dpy[NP];
        char name[NP][12];
        int score[NP];
};

#define MENU_ITEMS 5
enum { NEWGAME, HELP, RULES, ABOUT, QUIT };
